Package org.gradle.api.publish.maven

# Interface MavenPomDistributionManagement

public interface MavenPomDistributionManagement
The distribution management configuration of a Maven publication.

Since:
  4.8
See Also:
  - `MavenPom`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Property<String>`
  `getDownloadUrl()`
  The download URL of the corresponding Maven publication.
  `void`
  `relocation(Action<? super MavenPomRelocation> action)`
  Configures the relocation information.
  `void`
  `repository(Action<? super MavenPomDeploymentRepository> action)`
  Configures the repository information.

- ## Method Details

  - ### getDownloadUrl

    Property<String> getDownloadUrl()
    The download URL of the corresponding Maven publication.

  - ### relocation

    void relocation(Action<? super MavenPomRelocation> action)
    Configures the relocation information.

  - ### repository

    @Incubating void repository(Action<? super MavenPomDeploymentRepository> action)
    Configures the repository information.
    Since:
      9.1.0